Subject: Re: [Linux-ATM-General] mpc8360sar

From: Alex Zeffertt <[email-masked]>
Date: Thu, 20 Jul 2006 13:35:11 +0100

Hi,

Yes, UBR and AAL0 work.  I've also added support for the qos parameters
min_pcr, pcr, and max_pcr.

I used ltib-mpc832xemds-20060615 as my base.  More details are on the
website.

BTW, I left all your code in.  There's a simple config option now which
allows you to choose between the two drivers.

Alex

PS Thanks!

Li Tony-r64360 wrote:
> Hi, alex
> I am tony li.  I am glad to know that you add many features support.
> Do you have test the UBR and AAL0 ? I am lack of enviroment test them
> now.
> I have not read your code detailly.:)
> And which ltib release version is your base ? I have updated my code a
> little which contain a workaround for a bug.
> 
> Tony.li  
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of
> Alex Zeffertt
> Sent: Thursday, July 20, 2006 6:40 PM
> To: [email-masked];
> [email-masked]
> Subject: [Linux-ATM-General] mpc8360sar
> 
> Hi lists,
> 
> I'm writing to announce a new project http://mpc8360sar.sourceforge.net
> .
> This is an ATM driver for the QUICC Engine (QE) of the PowerQUICC II Pro
> range of processors.  It is based on Tony Li's fsl-atm driver and my
> mpc8260sar driver.  I've basically used Tony's driver for the most low
> level stuff and ported a lot of extra functionality from my PQII driver.
> 
> You will need the Linux BSP from Freescale to build this driver.
> 
> I have only tested this driver on mpc832xe-mds, but it should also work
> on the mpc8360e-pb board.
> 
> If you use mpc8360sar, please let me know how you get on.  In particular
> let me know if you work out how to stop the QE occaisionally corrupting
> the TCT when using external channels.
> 
> Regards,
> 
> Alex
> 
> ------------------------------------------------------------------------
> -
> Take Surveys. Earn Cash. Influence the Future of IT Join
> SourceForge.net's Techsay panel and you'll get the chance to share your
> opinions on IT & business topics through brief surveys -- and earn cash
> http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDE
> V
> _______________________________________________
> Linux-atm-general mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/linux-atm-general